Summary:        An API for simple XML files
Name:           perl-XML-Simple
Version:        2.25
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/XML-Simple
Source0:        https://cpan.metacpan.org/authors/id/G/GR/GRANTM/XML-Simple-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  coreutils, make, perl-interpreter, perl-generators, perl(Config), perl(ExtUtils::MakeMaker) >= 6.76, perl(strict), perl(warnings)
# Runtime
BuildRequires:  perl(Carp), perl(Exporter), perl(File::Basename), perl(IO::Handle), perl(Scalar::Util), perl(Storable)
BuildRequires:  perl(vars), perl(warnings::register), perl(XML::NamespaceSupport) >= 1.04, perl(XML::Parser), perl(XML::SAX) >= 0.15
# Tests only
BuildRequires:  perl(base), perl(File::Spec), perl(File::Temp), perl(FileHandle), perl(IO::File), perl(Test::More), perl(XML::SAX::Base), perl(Tie::IxHash)
Requires:       perl(File::Basename)
Requires:       perl(File::Spec)
Requires:       perl(IO::Handle)
Requires:       perl(Storable)
Requires:       perl(XML::NamespaceSupport) >= 1.04
Requires:       perl(XML::Parser)
Requires:       perl(XML::SAX) >= 0.15

%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}^%{_libexecdir}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(TagsToUpper\\)

%description
XML::Simple - An API for simple XML files



%prep
%autosetup -n XML-Simple-%{version}

for F in t/author-pod-syntax.t; do
    rm "$F"
    perl -i -ne 'print $_ unless m{^\Q'"$F"'\E}' MANIFEST
done

for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done



%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}



%install
%{make_install}
%{_fixperms} %{buildroot}/*



%check
make test



%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.25-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.25-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.25-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.25-4
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.25-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.25-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 22 2022 Zhao Zhen <jeremiazhao@tencent.com> - 2.25-1
- initial building
